[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Moderator` Component

A simple pulsed source for time-of-flight.

## Identification

- Author: KN, M.Hagen
- Origin: Risoe
- Date: August 1998
- Version: 1.26

## Description

    Produces a simple time-of-flight spectrum, with a flat energy distribution

    Example: Moderator(radius = 0.0707, dist = 9.035, xw = 0.021, yh = 0.021,
                       E0 = 10, E1 = 15, Ec = 9.0, t0 = 37.15, gam = 39.1)

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
radius | m | Radius of source |
E0 | meV | Lower edge of energy distribution |
E1 | meV | Upper edge of energy distribution |
dist | m | Distance from source to the focusing rectangle |
xw | m | Width of focusing rectangle |
yh | m | Height of focusing rectangle |
t0 | mus | decay constant for low-energy neutrons | 37.15
Ec | meV | Critical energy, below which the flux decay is constant | 9.0
gam | meV | energy dependence of decay time | 39.1

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
p_in |  |  |

## Links

- Source code for `Moderator.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]